This version is outdated! Click here to see latest
Gems_big

simplecov

0.9.2

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

Critical or Security advisories for 0.9.2

This version doesn't have any advisory. Want to report one?

Changelog for 0.9.2

, 2015-02-18 (changes)

This is a minor bugfix release for simplecov-html, released as 0.9.0. Due to the tight version constraint in the gemspec a new release of simplecov had to be shipped to allow using simplecov-html ~> 0.9.0.

  • The browser back / forward button should now work again. See #36 and #35. Thanks @whatasunnyday and @justinsteele for submitting PRs to fix this.
  • Fix "warning: possibly useless use of a variable in void context" See #31. Thanks @cbandy
  • Always use binary file format. See #32. Thanks @andy128k
  • Avoid slow file output with JRuby/Windows. See #16. Thanks @pschambacher

Other than the release includes a bunch of mostly documentation improvements:

  • Update Rails path for Rails 4+. See #336. Thanks @yazinsai
  • Encourage use of .simplecov to avoid lost files. See #338. thanks @dankohn
  • Specified in the gemspec that simplecov needs ruby 1.8.7. See #343. thanks @iainbeeston
  • Fix mispointed link in CHANGELOG.md. See #353. Thanks @dleve123
  • Improve command name docs. See #356. Thanks @gtd

Dependencies for 0.9.2

Name Requirement Status
~> 1.1.0

~> 1.0

~> 0.9.0

My projects using simplecov

Name Locked version Requirement
You should be logged in to see which of your projects use simplecov.